Subject: Re: 7.1/ClarisWorks

From: Martin Heijdra <[email-masked]>
Date: Thu, 19 Aug 1993 09:34:13 EDT

This is in answer to Lars-Erik and John Delacour...

Personally, I do agree with some of your comments: while Apple technically is
on the right way (and have you ever tried to get ANYTHING on the PC which
comes close to a multilingual environment? It is just not there! I read
occasionally Chinese, Japanese and Korean magazines; it's just amazing how
(in the Chinese and Korean cases) much PC computer users are still quite
happy to squeeze this and no WYSIWYG etc. etc.: I think most comments on
ccnet-l just show how underdeveloped the Chinese computerworld is; you
basically have to be half a programmer to make even one script work.), it
is deficient in getting its info out timely, and developers are just not
responding.

I have the multilingual system of Apple 7.1, and find it's great, useful and
rather cheap, if one compares it with compatible (esp. TRUE scalable fonts,
not most Taiwanese substitutes) programs. HOWEVER, indeed, one wishes that
actual application developers would actually listen to Apple (and that
Apple gives the few who do, like Nisus, more info, so that there are not all
these delays and delays!)

And I think we all thought in 1985 that multilingual processing was just
around the corner; fact is, the market does not seem to support it, although
technically there are no problems. I am still waiting for a multilingual
library system to put up here; but only places like Princeton and Yale
clamor for it, and there is hardly any response.

I have had NO trouble at all putting the language kits together. Do you
really use the latest versions of all components? By trial and error
I found several things: first, really make sure that you have e.g. the
latest IBS extension (the Korean on July 93 is the latest; I think it's 1.3).
Also, the keyboard menu should, I found out, NOT be too long; when items (both
script OR keyboards OR input methods) are too many, the bottom ones turn
black instead of grey in the finder, as if they were enabled (they are not);
this can create some problems using especially Korean and Simplified Chinese
(which are at the bottom);
still, I have ALL scripts working with no problem right now after removing
some extra (Roman) keyboards.

As I said before, Simplified and Traditional Chinese have changed quite a
bit from 6.0.7 (TradChinese less so from ChineseTalk II); they are now,
I think, right on top of the mainland and Taiwanese market (Wubixing and
lianxiang in the former case). I think that especially the TradChinese could
ideally be much better; fact is, that other often-used systems as Qiyi
have led, in my opinion, the pinyin-entry based input systems into the wrong
direction. One cannot really call the program as it is now "deficient"
in comparison with other programs; but it could be better: who will
develop a Chinese kotoeri?

Korean has obviously changed a LOT. Also, there are two versions: a simple
Apple one (with NOT enter-key for characters any more; one or two-character
words are put in by moving the mouse over the hangul entries while underlined.
Elex Computer in Korean has a much better (and expensive) system, which
looks more like kotoeri, with an input menu, better choices etc.) I have found
a book explaining the Elex 7.1, but don't have the program; I have Apple's,
but no documentation yet. (One has to buy the Language Kit when available,
I suppose--yet honestly, the price for those are much less than a user on
the PC would have to pay for something comparable.) I still have no idea
how to get the extra signs, or how to use the dictionary, all things which
my book explains for Elex (none of the methods work directly with Apple's 7.1)

The FontCache works with ALL fonts, as far as I can judge from Japanese
magazines; but there is only some 300K reserved PER FONT; it is NO use
increasing the font cache size beyond that. Japanese mags suggest one clears
it first (throwing away the font cache, replacing it with an empty file,
restarting), and then type the most common characters/kana, and try
them out in different font and sizes to fill up the reserved space with
useful characters; since it is first come, first registered.

Parrot, in the Taiwanese system, is for Roman letters IN THE CHINESE
system; there are programs (badly written) which only accept one font/script,
and which don't allow you to switch to the Roman script and its fonts. Only
in those cases is Parrot (called something like "jianpan" I think on the
keyboard menu) useful and necessary.

Yes, I also had to increase my RAM and my hard disk; but with scalable
East Asian fonts, that is difficult to avoid, unless one would use stroke-
based TrueType, which apparently Windows 3.1 and DynaFont do/will do.
I wish somebody with the Windows Far East 3.1 would tell us more about it,
and its multilingual environment. (There is a nice article on Chinese
Windows 3.1 in the same PC-Magazine-Taiwan, May).

The Chinese bold/thin problem: I don't have it, and never had. Could you
tell me more? Of course, Japanese Osaka has been redesigned into a
TrueType font rather than bitmap, and is considerably bolder in its new
version.

I do not have any problems with the Nisus dongle either (while another
multilingual program with dongle, Imprint, I have not managed to start
that up even in its beta-version!). Do you have the ADB fix? There were
some problems in an early stage with several beta-Chinese versions;
but Nisus is now up-to-date unless Apple is going to change its systems
(unlikely; slated release date for Chinese Language kits: October at the
EDUCOM).

And yes, I am waiting for Mongolian and Manchu too; where did you get
Manchu fonts by the way? Probably this will finally be a TrueType GX
matter. (I had bought Imprint to get around it, since text there has
input in all kinds of ways. It never worked properly).

I TOTALLY agree that companies like PageMaker, QuarkXPress, Claris etc. should
make multilingual versions of their software; and since they ALL have
Japanese versions, it should, it should be possible. Obviously, they don't,
which is a nuisance. We should indeed not have to buy Chinese and Japanese
versions of each program!

But for the moment, I have a completely workable system with many scripts
at once, by subscribing to the Developers CD at Apple. Documentation is
(except if you're interested in developing programs rather than using
as an end-user the input methods) nonexistent until the Language Kits are
released. Nisus 3.4 works with it (the few problems I had are fixed now).
Since there are a lot of Text-Edit based non-WP programs, this multilingual
system also gets me, say, rainbow-coloured characters in Superpaint etc.

If there is anything like it in the PC environment, let me know; as of now,
Windows 3.1 seems to be a candidate, but is it really? Can it show Chinese,
Japanese and Korean on the screen at once (forget about Arabic for now)?

Martin Heijdra/ Gest Library/Princeton University